Eclipse Platform Release 3.7

## org.eclipse.ui.commands
Interface ICommandListener

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public interface ICommandListener

An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ICommand`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `ICommand.addCommandListener(ICommandListener)`, `ICommand.removeCommandListener(ICommandListener)`, `ICommandListener`

Method Summary
`void` `commandChanged(CommandEvent commandEvent)` Deprecated. Notifies that one or more properties of an instance of `ICommand` have changed.

Method Detail

### commandChanged

    void commandChanged(CommandEvent commandEvent)

  Deprecated.
  Notifies that one or more properties of an instance of `ICommand` have changed. Specific details are described in the `CommandEvent`.

  Parameters:
    `commandEvent` - the command event. Guaranteed not to be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.